﻿--[[
	Persistent Data for RaidTracker, Saved Variables 
]]


Hellbender = AceLibrary("AceAddon-2.0"):new("AceConsole-2.0", "AceEvent-2.0", "AceDB-2.0","AceHook-2.1")

HellbenderKA = LibKarma:GetInstance( "HellbenderDKP", {

} )
--inst._update.frame:SetScript("OnLoad", function(...) HellbenderKA:(inst._update.onupdate )

HellbenderKA:RegisterDB( "HellbenderKDB", {
	Options = {
		DebugMode = 0,                  -- [0|1]  Debug mode for development
		-- Internal flags
		Color = "|c0076dfff",			-- optional text accent color
		ItemIcon = "INV_Misc_Gear_08",	-- default item icon, used if none exists
		ServerTime = 0,					-- servertime offset in seconds
		VersionCopy = 0,                -- [0|1]  Is imported CT_RaidTracker, one time thing very first load only
		VersionFix = 0,	                -- [0...]  Current database version level
	},
} )


function HellbenderKA:RunVersionFix( frame )
	local db,o = self._store.db,self._options
	local log = db.Log

	if o.VersionCopy == 0 and CT_RaidTracker_RaidLog then
		self:Print("Importing database.")
--		o.VersionCopy = 1
	end
	o.VersionFix = o.VersionFix											-- force database to store the default value

	-- 1 - 27 roll-up
	if o.VersionFix >= 0 and o.VersionFix <= 0 then			self:Debug("VersionFix", 1)
--		o.VersionFix = 1
	end
end
